de.caff.generics

## Class ShortIndexable.Base

- java.lang.Object
- - de.caff.generics.ShortIndexable.Base

- All Implemented Interfaces:
    PrimitiveShortIterable, ShortIndexable, Sizeable, java.lang.Comparable<ShortIndexable>, java.lang.Iterable<java.lang.Short>
  Direct Known Subclasses:
    MutableShortIndexable.Base
  Enclosing interface:
    ShortIndexable

      public abstract static class ShortIndexable.Base
      extends java.lang.Object
      implements ShortIndexable, java.lang.Comparable<ShortIndexable>

  Abstract base class which provides useful implementations for `Object.equals(Object)`, `Object.hashCode()`, `Object.toString()`. It also provides `Comparable.compareTo(Object)`.
  See Also:
    `ShortIndexable.asBase()`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface de.caff.generics.ShortIndexable

      `ShortIndexable.Base`

  - ### Field Summary

    - ### Fields inherited from interface de.caff.generics.ShortIndexable

      `EMPTY, SINGLE_0`

    - ### Fields inherited from interface de.caff.generics.PrimitiveShortIterable

      `EMPTY_SHORT_ITERATOR`

    - ### Fields inherited from interface de.caff.generics.Sizeable

      `NULL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Base()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ShortIndexable.Base` | `asBase()` Make this short integer indexable usable as a class with defined standard Object methods.
    `int` | `compareTo(ShortIndexable o)`
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.caff.generics.ShortIndexable

      `addAllTo, addToArray, addToArray, addToArray, addToArray, asCollection, asIndexable, asIntIndexable, asList, asUnsignedIndexable, binarySearch, binarySearch, compare, compareUnsigned, emptyIndexable, equal, equal, firstMatch, foldLeft, frozen, get, getMod, gyt, hash, headSet, indexes, init, initByIndex, intIndexes, intIterator, isEmpty, isOrdered, isOrdered, isStrictlyOrdered, isStrictlyOrdered, iterator, lastMatch, listIterator, nextMatch, ordered, ordered, previousMatch, reverse, rotated, shortIterator, shortIterator, singleton, subSet, sybSet, tailSet, toArray, toIntArray, toList, toString, view, viewArray, viewArray, viewArray, viewAsBoolean, viewAsByte, viewAsDouble, viewAsFloat, viewAsInt, viewAsLong, viewAsUnsignedInt, viewAsUnsignedLong, viewByIndex, viewIndexable, viewIndexable, viewIndexable, viewList, viewList, viewList, viewNumberArray, viewOp, withAppendedValue, withCachedHash, withExchangedValueAt, withInsertedValueAt, withRemovedValueAt, withSwappedValuesAt`

    - ### Methods inherited from interface de.caff.generics.PrimitiveShortIterable

      `asIntIterable, asLongIterable, asUnsignedIntIterable, asUnsignedLongIterable, containsShort, forEachShort, forEachShortFragile`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

    - ### Methods inherited from interface de.caff.generics.Sizeable

      `size`

- - ### Constructor Detail

    - #### Base

          public Base()

  - ### Method Detail

    - #### compareTo

          public int compareTo(@NotNull
                               ShortIndexable o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<ShortIndexable>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### asBase

          @NotNull
          public ShortIndexable.Base asBase()

      Description copied from interface: `ShortIndexable`
      Make this short integer indexable usable as a class with defined standard Object methods.
      Specified by:
        `asBase` in interface `ShortIndexable`
      Returns:
        based version of this indexable